[views] silence cubicweb 3.15 deprecation warning
authorJulien Cristau <julien.cristau@logilab.fr>
Wed, 05 Aug 2015 16:49:13 +0200
changeset 26 2a219898bebc
parent 25 088e450c129f
child 27 0085aa85403c
[views] silence cubicweb 3.15 deprecation warning selectors moved to predicates
__pkginfo__.py
debian/control
views.py
--- a/__pkginfo__.py	Wed Aug 05 16:48:01 2015 +0200
+++ b/__pkginfo__.py	Wed Aug 05 16:49:13 2015 +0200
@@ -40,6 +40,6 @@
 # Note: here, you'll need to add subdirectories if you want
 # them to be included in the debian package
 
-__depends__ =  {'cubicweb': '>= 3.8.4'}
+__depends__ =  {'cubicweb': '>= 3.15.0'}
 __recommends__ = {}
 
--- a/debian/control	Wed Aug 05 16:48:01 2015 +0200
+++ b/debian/control	Wed Aug 05 16:49:13 2015 +0200
@@ -8,7 +8,7 @@
 
 Package: cubicweb-cmcicpay
 Architecture: all
-Depends: cubicweb-common (>= 3.8.4)
+Depends: cubicweb-common (>= 3.15.0)
 Description: cmcic credit card on-line payment
  CubicWeb is a semantic web application framework.
  .
--- a/views.py	Wed Aug 05 16:48:01 2015 +0200
+++ b/views.py	Wed Aug 05 16:49:13 2015 +0200
@@ -20,7 +20,7 @@
 
 from cubicweb import ValidationError
 from cubicweb.web import controller
-from cubicweb.selectors import match_user_groups
+from cubicweb.predicates import match_user_groups
 from cubicweb.view import StartupView
 from cubicweb.web.views.urlrewrite import SimpleReqRewriter, rgx